* Open the test database that comes with VFP.

**open database home() + 'SAMPLES\DATA\TESTDATA'
open database '\VFP\SAMPLES\DATA\TESTDATA'

set classlib to HENNIG
oParms = createobject('Parameter')
dimension oParms.aParameters[2]
oForm = createobject('SelectTablesForm', oParms)
oForm.Show()

* If OK was chosen, display the tables we'd be processing.

if oParms.aParameters[2]
	? 'Tables to reindex:'
	?
	for lnI = 1 to alen(oParms.aArray)
		? oParms.aArray[lnI]
	next lnI
	?
	? 'These tables will ' + iif(oParms.aParameters[1], '', 'not ') + ;
		'be packed.'
else
	? 'No tables will be reindexed.'
endif oParms.aParameters[2]
